## brandy 1.23.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.19.0)
project(brandy LANGUAGES C)

add_compile_options(-Wall)

set(SRCDIR src)
set(SRC ${SRCDIR}/variables.c ${SRCDIR}/tokens.c ${SRCDIR}/strings.c
	${SRCDIR}/statement.c ${SRCDIR}/stack.c ${SRCDIR}/miscprocs.c
	${SRCDIR}/mainstate.c ${SRCDIR}/lvalue.c ${SRCDIR}/keyboard.c
	${SRCDIR}/iostate.c ${SRCDIR}/heap.c ${SRCDIR}/functions.c
	${SRCDIR}/fileio.c ${SRCDIR}/evaluate.c ${SRCDIR}/errors.c
	${SRCDIR}/mos.c ${SRCDIR}/editor.c ${SRCDIR}/convert.c
	${SRCDIR}/commands.c ${SRCDIR}/brandy.c ${SRCDIR}/assign.c
	${SRCDIR}/net.c ${SRCDIR}/mos_sys.c)

add_executable(sbrandy ${SRC} ${SRCDIR}/simpletext.c)
add_executable(tbrandy ${SRC} ${SRCDIR}/textonly.c)

target_link_libraries(sbrandy m dl pthread)
target_link_libraries(tbrandy m dl pthread)

install(TARGETS sbrandy DESTINATION bin)
install(TARGETS tbrandy DESTINATION bin)


find_package(SDL 1.2)
# We want to request a version before 2, but cmake does not support version
# ranges for SDL.

IF (SDL_FOUND)
	add_executable(brandy ${SRC} ${SRCDIR}/graphsdl.c ${SRCDIR}/soundsdl.c)

	target_link_libraries(brandy m dl pthread)
	target_include_directories(brandy PRIVATE ${SDL_INCLUDE_DIRS})
	target_link_libraries(brandy m dl pthread ${SDL_LIBRARIES})
	target_compile_definitions(brandy PRIVATE -DUSE_SDL)

	# libX11 may not be needed, eg., under Windows.
	find_package(X11)
	IF (X11_FOUND)
		target_link_libraries(brandy ${X11_LIBRARIES})
	ENDIF()

	install(TARGETS brandy DESTINATION bin)
ENDIF()

IF (WIN32)
	add_compile_definitions(-DCYGWINBUILD)
	add_compile_definitions(-D__USE_MINGW_ANSI_STDIO)

	target_link_libraries(sbrandy ws2_32 psapi)
	target_link_libraries(tbrandy ws2_32 psapi)

	IF (SDL_FOUND)
		target_link_libraries(brandy ws2_32 psapi)
	ENDIF()

ENDIF()

IF (LINUX)
	target_link_libraries(sbrandy rt)
	target_link_libraries(tbrandy rt)

	IF (SDL_FOUND)
		target_link_libraries(brandy rt)
	ENDIF()
ENDIF()

# Inside "build-push-action" we have no .git. Rather than fighting, we put up
# with it.
IF (EXISTS .git)
	execute_process(
		COMMAND git rev-parse --short HEAD
		WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
		OUTPUT_VARIABLE GIT_COMMIT
		OUTPUT_STRIP_TRAILING_WHITESPACE
	)

	execute_process(
		COMMAND git rev-parse --abbrev-ref HEAD
		WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
		OUTPUT_VARIABLE GIT_BRANCH
		OUTPUT_STRIP_TRAILING_WHITESPACE
	)

	execute_process(
		COMMAND git log -1 --format=%cd
		WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
		OUTPUT_VARIABLE GIT_DATE
		OUTPUT_STRIP_TRAILING_WHITESPACE
	)

	add_compile_definitions(-DBRANDY_GITCOMMIT=\"${GIT_COMMIT}\" -DBRANDY_GITBRANCH=\"${GIT_BRANCH}\" -DBRANDY_GITDATE=\"${GIT_DATE}\")
ENDIF()

# Do not throw an error on missing features.
add_compile_definitions(DEFAULT_IGNORE)

enable_testing()

# Shebang does not work on msys2, running "prove" directly does not work.
IF (WIN32)
	find_program(PERL NAMES perl)
	find_program(PROVE NAMES prove)

	add_test(NAME Regressions COMMAND ${PERL} ${PROVE} --exec ${CMAKE_BINARY_DIR}/sbrandy -r t/)
ELSE()
	add_test(NAME Regressions COMMAND prove --exec ${CMAKE_BINARY_DIR}/sbrandy -r t/)

	find_program(VALGRIND NAMES valgrind)
	IF (VALGRIND)
		add_test(NAME RegressionsValgrind COMMAND prove --exec "${VALGRIND} ${CMAKE_BINARY_DIR}/sbrandy" -r t/)
	ENDIF()
ENDIF()

## brandy 1.20.1

=== debian/changelog ===
brandy (1.20.1-1) unstable; urgency=medium

  * New Upstream Version.
  * Use source format 3.0 (quilt).

 -- Colin Tuckley <colint@debian.org>  Wed, 24 Sep 2014 13:30:43 +0100

brandy (1.20-2) unstable; urgency=medium

  * Fix extern defs in src/editor.h Closes: #749614
  * Bump standards version to 3.9.5 (no changes required).

 -- Colin Tuckley <colint@debian.org>  Sat, 31 May 2014 22:40:40 +0100

brandy (1.20-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.9.4 (no changes required).

 -- Colin Tuckley <colint@debian.org>  Thu, 27 Jun 2013 22:05:06 +0100

brandy (1.20~pre5-4) unstable; urgency=low

  * Update man page with suggestions from Reuben Thomas Closes: #614017
  * Bump standards version to 3.9.3 (no changes required).
  * Fix minor Lintian warnings
  * Add watch file

 -- Colin Tuckley <colint@debian.org>  Sun, 10 Jun 2012 09:46:53 +0100

brandy (1.20~pre5-3) unstable; urgency=low

  * Fix FTBFS on GNU/Hurd with patch from Barry deFreese Closes: #532358
  * Bump standards version to 3.8.1 (no changes required).

 -- Colin Tuckley <colint@debian.org>  Mon, 08 Jun 2009 21:26:50 +0100

brandy (1.20~pre5-2) unstable; urgency=low

  * Bump standards version (no changes required).
  * Fix doc-base section

 -- Colin Tuckley <colint@debian.org>  Mon, 16 Feb 2009 20:13:40 +0000

brandy (1.20~pre5-1) unstable; urgency=low

  * New Upstream Release.
  * New maintainer email address.
  * Bump standards version (no changes required).

 -- Colin Tuckley <colint@debian.org>  Wed, 26 Dec 2007 16:35:52 +0000

brandy (1.20~pre4-2) unstable; urgency=low

  * exit after displaying help when invoked with -help Closes: #442931
  * add sleep/delay to event loop to prevent cpu hogging Closes: #442932
  * don't ignore errors when doing make clean in debian/rules
  * updated menu section (Apps -> Applications) 

 -- Colin Tuckley <colin@tuckley.org>  Tue, 18 Sep 2007 11:56:09 +0100

brandy (1.20~pre4-1) unstable; urgency=low

  * New Upstream Release

 -- Colin Tuckley <colin@tuckley.org>  Mon, 11 Jun 2007 12:09:31 +0100

brandy (1.20~pre3-2) unstable; urgency=low

  * Fix problem with INKEY when wait time was zero in keyboard.c
  * Fix FTBFS on GNU/kFreeBSD patch by Cyril Brulebois Closes: #413868

 -- Colin Tuckley <colin@tuckley.org>  Fri,  9 Mar 2007 14:12:30 +0000

brandy (1.20~pre3-1) unstable; urgency=low

  * New Upstream Release
    Jlib graphics library replaced with sdl on Linux/Unix
  * New Maintainer - Colin Tuckley

 -- Colin Tuckley <colin@tuckley.org>  Sat, 30 Dec 2006 15:28:42 +0000

brandy (1.19-1) unstable; urgency=low

  * New upstream release
  * New maintainer

 -- Wookey <wookey@debian.org>  Tue,  7 Nov 2006 13:45:01 +0000

brandy (1.16-1) unstable; urgency=low

  * "New" upstream release.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Mon, 28 Feb 2005 23:10:05 +0000

brandy (1.0.13-2) unstable; urgency=low

  * Bumped standards version to 3.5.10.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Wed,  2 Jul 2003 23:29:26 +0100

brandy (1.0.13-1) unstable; urgency=low

  * New upstream release.
  * Regenerated debian/rules.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Tue,  4 Feb 2003 18:25:37 +0000

brandy (1.0.12-2) unstable; urgency=low

  * debian/rules:
    - Ensure that the configure script is properly regenerated.
    - Call ./configure properly.
  * Implemented a better way of auto-generating dependencies.
    Consequently, src/Makefile.real.in is no longer required.
  * textgraph.c: added the rest of RISC OS 4's default ISO-8859-1 charset.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Sat, 27 Oct 2001 16:30:27 +0100

brandy (1.0.12-1) unstable; urgency=low

  * New upstream source. Includes source patches for 1.0.10-3.
  * Updated configure.in.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Mon,  8 Oct 2001 23:34:34 +0100

brandy (1.0.10-4) unstable; urgency=low

  * Removed configure.in.bak (which shouldn't have been there).
  * Changed sprintf -> vsprintf in emulate_printf().

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Sun,  2 Sep 2001 01:34:16 +0100

brandy (1.0.10-3) unstable; urgency=low

  * Bugfix: removed a memmove() from the PRINT_INT case in
    fileio.c:fileio_getnumber.
  * Bugfix: configure no longer uses bash function definitions.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Mon, 11 Jun 2001 20:29:33 +0100

brandy (1.0.10-2) unstable; urgency=low

  * Added support for the five-byte float format traditionally
    used by BBC BASIC.
  * Added support for the loading of gzipped programs.
    Detection is automatic.
  * Modified reading and writing (INPUT#. PRINT#) to use the
    ARM double format.
  * Added a manpage.

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Wed,  6 Jun 2001 17:18:31 +0100

brandy (1.0.10-1) unstable; urgency=low

  * Initial debianisation.
  * Added a configure script and makefiles.
    (The original makefile remains unchanged and unrenamed.)

 -- Darren Salt <linux@youmustbejoking.demon.co.uk>  Mon,  4 Jun 2001 14:28:16 +0100

=== debian/control ===
Source: brandy
Section: interpreters
Priority: optional
Maintainer: Colin Tuckley <colint@debian.org>
Build-Depends: debhelper (>= 5), libsdl1.2-dev, dpkg-dev (>= 1.16.1~)
Homepage: http://sourceforge.net/projects/brandy
Standards-Version: 3.9.5

Package: brandy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: BBC BASIC V interpreter
 Brandy is an interpreter for BBC Basic. It is source code compatible with the
 BASIC V interpreter in RISC OS and runs under a number of different
 operating systems.
 .
 Note that it is not possible to make operating system calls from within a
 program except under RISC OS.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CFLAGS += -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif
export CFLAGS

configure configure-stamp:

build: build-arch build-indep

build-arch: build-stamp

build-indep: build-stamp

build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f makefile ] || $(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	install brandy debian/brandy/usr/bin
#	install -m644 examples/* debian/brandy/usr/share/doc/brandy/examples

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	dh_installexamples examples/*
	dh_installmenu
#	dh_installmime
	dh_installman debian/brandy.1
#	dh_undocumented
	dh_installchangelogs docs/history
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://sf.net/brandy/ brandy-([0-9a-z.]*)\.tar\.gz

## brandy 1.22.13

=== debian/changelog ===
brandy (1.22.13-1) unstable; urgency=medium

  * Switch to Matrix Brandy. This fork features many improvements over the
    abandoned Brandy; it notably fixes CVE-2019-14662, CVE-2019-14663, and
    CVE-2019-14665. Closes: #933996.
  * Adopt the package. Closes: #990610.
  * Drop debian/dirs which is now obsolete.
  * Install the project history as the upstream changelog.
  * Update debian/copyright using information provided by Nicolas
    Boulenguez.

 -- Stephen Kitt <skitt@debian.org>  Fri, 18 Feb 2022 23:08:48 +0100

brandy (1.20.1-3) unstable; urgency=medium

  * QA upload.
  * Avoid overriding CC, so that the right compiler is used when cross-
    compiling.
  * Add Salsa repository.

 -- Stephen Kitt <skitt@debian.org>  Thu, 23 Dec 2021 17:40:02 +0100

brandy (1.20.1-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package (see #990610).
  * Upgrade to debhelper compatibility level 13. Closes: #965442.
  * Enable all hardening options.
  * Set “Rules-Requires-Root: no”.
  * Switch to a machine-readable debian/copyright.
  * Drop the obsolete dpkg-dev build-dependency.
  * Standards-Version 4.6.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 22 Dec 2021 19:05:50 +0100

=== debian/control ===
Source: brandy
Section: interpreters
Priority: optional
Maintainer: Stephen Kitt <skitt@debian.org>
Build-Depends: cmake, debhelper-compat (= 13), libsdl1.2-dev
Homepage: http://brandy.matrixnetwork.co.uk/
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/brandy
Vcs-Git: https://salsa.debian.org/debian/brandy.git

Package: brandy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: BBC BASIC VI interpreter
 Matrix Brandy is an interpreter for BBC BASIC. It is source code
 compatible with the BASIC VI interpreter in RISC OS.
 .
 BBC BASIC VI is the 64-bit floating-point version of BASIC that came
 with the Acorn RISC OS machines, itself a development of the version
 of BASIC on the BBC Micro. Matrix Brandy aims to be source code
 compatible with this, including some extensions found in the RISC PC
 versions and the later RISC OS 5 as made available for several
 systems including the Raspberry Pi.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- LD="\$$(CC)" CFLAGS="$(CPPFLAGS) $(CFLAGS) $(shell sdl-config --cflags) -DUSE_SDL -DDEBUG"

override_dh_auto_test:

override_dh_installchangelogs:
	dh_installchangelogs docs/history.txt

## brandy 1.22.14

=== debian/changelog ===
brandy (1.22.14-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.6.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 01 Jan 2023 08:25:19 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Stephen Kitt <skitt@debian.org>
 Build-Depends: cmake, debhelper-compat (= 13), libsdl1.2-dev
 Homepage: http://brandy.matrixnetwork.co.uk/
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/brandy
 Vcs-Git: https://salsa.debian.org/debian/brandy.git

=== debian/watch ===
version=4
http://brandy.matrixnetwork.co.uk/releases/ MatrixBrandy@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## brandy 1.22.15

=== debian/changelog ===
brandy (1.22.15-1) unstable; urgency=medium

  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Mon, 12 Jun 2023 05:45:13 +0200

brandy (1.22.15-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 12 May 2023 14:17:09 +0200

## brandy 1.23.0

=== debian/changelog ===
brandy (1.23.0-2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:35:36 +1100

brandy (1.23.0-2) unstable; urgency=medium

  * Include the text-only sbrandy and tbrandy builds. Closes: #1064860.
  * Rework flag handling to rely on Make defaults.
  * Use pkg-config to determine the SDL CFLAGS.

 -- Stephen Kitt <skitt@debian.org>  Wed, 28 Feb 2024 09:43:50 +0100

brandy (1.23.0-1) unstable; urgency=medium

  * New upstream release.
  * Show individual C unit compiler invocations.

 -- Stephen Kitt <skitt@debian.org>  Sat, 10 Feb 2024 18:11:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: brandy
 Section: interpreters
 Priority: optional
-Maintainer: Stephen Kitt <skitt@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
 Build-Depends: cmake, debhelper-compat (= 13), libsdl1.2-dev
 Homepage: http://brandy.matrixnetwork.co.uk/
 Standards-Version: 4.6.2

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND := -DDEBUG -DDEFAULT_IGNORE -DBRANDY_RELEASE

include /usr/share/dpkg/default.mk
include /usr/share/dpkg/buildtools.mk

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- LD="\$$(CC)" CFLAGS="$(CFLAGS) -DUSE_SDL $(shell $(PKG_CONFIG) --cflags sdl)"
	rm src/*.o
	dh_auto_build -- LD="\$$(CC)" CFLAGS="$(CFLAGS) -DNO_SDL" LDFLAGS="$(LDFLAGS)" text

override_dh_auto_clean:
	dh_auto_clean -- cleanall

override_dh_auto_test:

override_dh_installchangelogs:
	dh_installchangelogs docs/history.txt

## brandy 1.23.2

=== debian/changelog ===
brandy (1.23.2-1) unstable; urgency=medium

  * New upstream release.
  * This release introduces a version check; the Debian package disables
    this by default, it can be enabled using -check or a configuration
    directive.
  * Standards-Version 4.7.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 23 May 2024 07:47:16 +0200

brandy (1.23.1-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Tue, 16 Apr 2024 19:13:30 +0200

## brandy 1.23.3

=== debian/changelog ===
brandy (1.23.3-1) unstable; urgency=medium

  * New upstream release, with a build flag to disable the version check.

 -- Stephen Kitt <skitt@debian.org>  Thu, 08 Aug 2024 13:37:32 +0200

## brandy 1.23.4

=== debian/changelog ===
brandy (1.23.4-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 17 Nov 2024 20:00:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: brandy
 Section: interpreters
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
+Maintainer: Stephen Kitt <skitt@debian.org>
 Build-Depends: cmake, debhelper-compat (= 13), libsdl1.2-dev
 Homepage: http://brandy.matrixnetwork.co.uk/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/brandy
 Vcs-Git: https://salsa.debian.org/debian/brandy.git

## brandy 1.23.5

=== debian/changelog ===
brandy (1.23.5-1) unstable; urgency=medium

  * New upstream release.
  * Remove the old FSF address from debian/copyright.
  * Standards-Version 4.7.2, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 10 Apr 2025 08:41:55 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Stephen Kitt <skitt@debian.org>
 Build-Depends: cmake, debhelper-compat (= 13), libsdl1.2-dev
-Homepage: http://brandy.matrixnetwork.co.uk/
-Standards-Version: 4.7.0
+Homepage: https://brandy.matrixnetwork.co.uk/
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/brandy
 Vcs-Git: https://salsa.debian.org/debian/brandy.git

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_CFLAGS_MAINT_APPEND := -DDEBUG -DDEFAULT_IGNORE -DBRANDY_RELEASE
+export DEB_CFLAGS_MAINT_APPEND := -DDEBUG -DDEFAULT_IGNORE -DBRANDY_RELEASE -DBRANDY_NOVERCHECK
 
 include /usr/share/dpkg/default.mk
 include /usr/share/dpkg/buildtools.mk

## brandy 1.23.6

=== debian/changelog ===
brandy (1.23.6-1) unstable; urgency=medium

  * New upstream release, with a simpler CMake build.
  * Install the upstream .desktop file instead of our old menu file.
  * Install the Telstar example program.
  * Drop “Rules-Requires-Root: no” since it’s now the default.

 -- Stephen Kitt <skitt@debian.org>  Mon, 20 Oct 2025 18:15:29 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Build-Depends: cmake, debhelper-compat (= 13), libsdl1.2-dev
 Homepage: https://brandy.matrixnetwork.co.uk/
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/brandy
 Vcs-Git: https://salsa.debian.org/debian/brandy.git

=== debian/rules ===
--- 
+++ 
@@ -10,15 +10,7 @@
 include /usr/share/dpkg/buildtools.mk
 
 %:
-	dh $@
-
-override_dh_auto_build:
-	dh_auto_build -- LD="\$$(CC)" CFLAGS="$(CFLAGS) -DUSE_SDL $(shell $(PKG_CONFIG) --cflags sdl)"
-	rm src/*.o
-	dh_auto_build -- LD="\$$(CC)" CFLAGS="$(CFLAGS) -DNO_SDL" LDFLAGS="$(LDFLAGS)" text
-
-override_dh_auto_clean:
-	dh_auto_clean -- cleanall
+	dh $@ --buildsystem=cmake
 
 override_dh_auto_test:

=== debian/watch ===
version=4
https://brandy.matrixnetwork.co.uk/releases/ MatrixBrandy@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
